Tag: android gradle

Fehler beim Installieren des Apk – Parsing des Pakets

Ich arbeite an einer Android-App und alles funktioniert gut, wenn ich es in meinem lokalen System zu bauen und auf Emulator laufen, aber sobald ich mache und freigeben und installieren apk auf meinem Handy, stürzt es mit Fehler – There was an error parsing the package Wie Sie sehen können, baue ich mit dem neuesten […]

MANIFEST MERGER: Es ist möglich, das resultierende gemischte Manifest zu sehen?

Ich habe ein Bibliotheksmodul mit einem riesigen Manifest. Auch habe ich ein Anwendungsmodul mit einem riesigen Manifest sehr ähnlich zu meiner Bibliothek Manifest aber mit Paketnamen Änderungen. Jetzt möchte ich das daraus resultierende gemischte Manifest des Manifest Merger Prozesses sehen. Wie kann ich es sehen?

Gradle-Task zum Ändern eines Booleschen in Build-config

Ich möchte eine sehr einfache Aufgabe erstellen, die einen Booleschen in meinem gradle config ändert. Ich arbeite an einer Android-Anwendung, die mit mehreren Profilen ausgeführt werden kann, und für jeden Build eine Notwendigkeit zu spezifizieren, wenn in meinem Code die App muss fuck die Bluetooth oder nicht. Mein gradle (relevanter Code): def fakeBluetooth = "true" […]

Gradle schließt arm64 libs aus

Ich habe eine Anwendung mit zwei Bibliotheken, wo beide Abhängigkeiten von nativen Bibliotheken haben. Beide sind mit gradle enthalten, so dass die Struktur sieht so aus: MyApp – Libary1 — x86, armeabi native libs – Library2 — Library3 — x86, armeabi, arm64-v8a Ich möchte die Arm64-Unterstützung entfernen, da würde ich auch das brauchen. * .so […]

Gradle force build tools Version auf Drittbibliotheken?

Wie kann ich eine Bibliothek dazu zwingen, Sdk-Build-Tools 19.1.0 oder höher zu verwenden, ohne die build.gradle-Datei für die Bibliothek zu bearbeiten / manuell zu bearbeiten? Ich bekomme diesen Fehler bei der Verwendung von Bibliotheken … Error:The SDK Build Tools revision (…….) is too low for project ':somelibrary'. Minimum required is 19.1.0

Duplizieren von Dateien beim Hinzufügen von Kompilieren mit Gradle in Android Studio

Ich versuche, Jackson zu meinem Android Studio Projekt hinzuzufügen, das ich es mache, indem ich es zu Abhängigkeiten in gradle hinzufüge: dependencies { compile fileTree(include: ['*.jar'], dir: 'libs') compile 'com.android.support:appcompat-v7:19.+' compile 'com.android.support:support-v4:19.+' compile files('libs/universal-image-loader-1.9.2.jar') compile 'com.google.android.gms:play-services:+' compile 'com.fasterxml.jackson.core:jackson-databind:2.4.3' } Gradle Build läuft gut, aber wenn ich Tests in Android Studio laufen will, gibt es mir […]

Warum werden keine Android-Support-Bibliotheken in meinem Projekt arbeiten?

Mit Android Studio habe ich die Schritte unter https://developer.android.com/tools/support-library/setup.html so genau wie möglich gefolgt, aber es hat mir den folgenden Fehler gegeben: Fehler: Konnte die Methode compile () für Argumente nicht finden [com.android.support:appcompat-v7:18.0.+] auf org.gradle.api.internal.artifacts.dsl.dependencies.DefaultDependencyHandler_Decorated@18899229. Bitte installieren Sie das Android Support Repository aus dem Android SDK Manager. Öffnen Sie den Android SDK Manager Aber ich […]

Duplikat Eintrag Google Gson

Mein Fehler: Error:Execution failed for task ':app:packageAllDebugClassesForMultiDex'. > java.util.zip.ZipException: duplicate entry: com/google/gson/annotations/Expose.class Ich versuche, Streifen zu benutzen und ihn mit Retrofit zu integrieren. Ich habe die Stripe lib build.gradle Datei und die App build.gradle Datei. Ich sehe nicht, was diesen Fehler verursacht und ich brauche die Abhängigkeit in beiden build.gradle Dateien, weil sowohl Stripe und […]

Butterknife 8.1.0 funktioniert nicht mit JDK 1.8 in Android Studio 2.1.2

Ich bin ziemlich neu für Android, Android Studio, Butterknife und das Gradle Build System. Allerdings bin ich nicht neu in Java, oder Programmierung im Allgemeinen. Ich versuche, eine Android-App mit JDK 1.8 und Butterknife Version 8.1.0 zu bauen, aber die Gradle bauen fehlschlägt und sagt: Fehler: Konnte die Eigenschaften 'Optionen' nicht auf Task finden: app: […]

Wie man Aar-Dateien in Bibliotheksprojekten im Hauptprojekt in Android verwendet

Mein Projekt ist inklusive Bibliotheksprojekt. Die Bibliothek verwendet einige aar-Dateien und ihre dependecny ist bereits im Modul definiert: gradle file. Ich bin vor Problem bei der Einbeziehung dieser Bibliothek in meinem Projekt. Wenn ich doppelte aar-Dateien in app- lib aufnehme und ihre Abhängigkeit in app-> gradle-Datei definiere, dann gibt es kein Problem. Aber es sollte […]

Das Android ist ein Google Android Fan-Website, Alles ├╝ber Android Phones, Android Wear, Android Dev und Android Spiele Apps und so weiter.